mpeg2dec (0.5.1-8+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- DilOS Team <dilos@dilos.org>  Sat, 14 Dec 2019 19:47:51 +0300

mpeg2dec (0.5.1-8) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0
  * Drop myself from Uploaders

 -- Loïc Minier <lool@debian.org>  Sun, 09 Jul 2017 21:49:12 +0200

mpeg2dec (0.5.1-7) unstable; urgency=medium

  * Team upload.
  * debian/rules: Bump shlibs version. (Closes: #780624)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Mar 2015 18:24:46 +0100

mpeg2dec (0.5.1-6) unstable; urgency=medium

  * Team upload.

  [ Jonas Smedegaard ]
  * Update watch file. Closes: bug#696036. Thanks to Nick Black.

  [ Matteo F. Vescovi ]
  * debian/: dh-autoreconf usage added.
    Thanks to Fernando Seiti Furusato for the patch. (Closes: #749505)
  * debian/control: S-V bump 3.9.2 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 11 Sep 2014 12:41:35 +0200

mpeg2dec (0.5.1-5) unstable; urgency=low

  * Update patch 65_arm-test-with-compiler to only set ARCH_ARM when
    optimizations are built; ARCH_ARM is really used as a test for whether to
    use ARM optimizations or not in the sources; also cleanup autotools syntax
    with proper AC_LANG(C), AC_LANG_SOURCE and quoting.

 -- Loïc Minier <lool@debian.org>  Sun, 01 Jul 2012 23:35:15 +0200

mpeg2dec (0.5.1-4) unstable; urgency=low

  * Fix ARM tests in configure.ac to check for availability of the "pld [r1]"
    assembly snippet rather than relying on triplets; drop ARM specific logic
    from rules; closes: #679178.  NB: these ARM specific optimizations aren't
    picked up at runtime due to lack of autodetection on ARM.

 -- Loïc Minier <lool@debian.org>  Sun, 01 Jul 2012 16:57:29 +0200

mpeg2dec (0.5.1-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable. (Closes: #659705)
  * Update maintainer information.
  * Convert package to 3.0 (quilt) format.
  * Introduce Multiarch support.
  * debian/{control,rules}:
    - Remove depedency on gnome-pkg-tools, seems unnecessary.
  * debian/control:
    - Remove duplicate field.
    - Remove David I. Lehn from the Uploaders field. (Closes: #557280)
    - Remove URLs from packages descriptions, the Homepage: field is enough.
    - Avoid to use first person in packages descriptions.
    - Bump Standards.
  * Add lintian override for shlib-with-non-pic-code as it is deliberate.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 20:49:43 +0100

mpeg2dec (0.5.1-2) experimental; urgency=low

  * New patch, 60_arm-private-symbols, set visibility of global symbols used
    in ARM specific assembly file to internal; spotted my make check on armel;
    thanks Riku Voipio for the report.
  * New patch, 61_global-symbol-test, rewrite the public symbol check to
    verify the shared libraries, to check for more things, and to avoid
    duplication; fixes make check on ARM.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Dec 2008 09:42:41 +0100

mpeg2dec (0.5.1-1) experimental; urgency=low

  * Anchor package name extraction re.
  * Stop shipping *.la; only reference in rdeps is in
    /usr/lib/libextractor/libextractor_mpeg.la but apps are supposed to link
    to libextractor; hopefully libltdl3 doesn't rely on *.la or libextractor
    might require a binNMU.
  * New upstream release, with ABI changes and API additions; in particular,
    care should be taken to handle the new mpeg2_state_t
    STATE_SEQUENCE_MODIFIED.
    - Target experimental for now.
    - Build-dep on libx11-dev (upstream calls AC_PATH_XTRA) and libxext-dev.
    - Drop patch 62_drop-arch-opts and build with -mcpu=i486 on i386, -mcpu=v7
      -mno-vis on sparc, -mno-altivec -UARCH_PPC on powerpc, and -UARCH_ARM on
      arm in CFLAGS instead for reasons detailed in debian/rules; upstream
      enables various features based on the GNU host triplet if the compiler
      supports them, but this would taylor the binaries for the buildds'
      capabilities which might be higher than the Debian requirements.
    - Drop patch 64_non-pic-on-i386-only, merged upstream in a slightly
      different way.
    - Drop patch 66_add-dummy-handler-and-sanity-checks, merged upstream.
    - Drop patch 68_honor-cflags, upstream doesn't empty CFLAGS anymore.
    - Drop patch 70_autoconf, not needed anymore per above removals.
    - Update watch file for new upstream tarball name (libmpeg2-*).
  * Set DEB_MAKE_CHECK_TARGET to run testsuite during build.
  * Bump up Standards-Version to 3.8.0.

 -- Loic Minier <lool@dooz.org>  Fri, 11 Jul 2008 11:22:35 +0200

mpeg2dec (0.4.1-3) unstable; urgency=low

  * Move mpeg2dec to Section: x11 instead of graphics to match overrides.
  * Bump up Debhelper compatibility level to 5; bump up debhelper build-dep to
    >= 5.
  * Add -Wl,-z,defs -Wl,--as-needed to LDFLAGS; build-dep on cdbs >= 0.4.41.
  * New patch, 62_drop-arch-opts, drop arch-specific CFLAGS detection in
    upstream configure as we want to use the gcc defaults to work on all
    machines which Debian will be installed on, and not use the buildds as
    references.
  * Add Homepage.

 -- Loic Minier <lool@dooz.org>  Sun, 16 Dec 2007 16:21:57 +0100

mpeg2dec (0.4.1-2) unstable; urgency=low

  * Bump up Standards-Version to 3.7.3.
    - This new version allows PIC shared libraries on some arches;
      closes: #268603.
  * Wrap build-deps, deps, and uploaders.
  * Use ${binary:Version} instead of ${Source-Version}; build-dep on dpkg-dev
    >= 1.13.19.
  * Cleanup rules.
  * Retrieve the shared library package name (with SONAME) from control.
  * Move docs installation to debian/*.docs.
  * Drop useless libc6-dev | libc-dev dep.
  * Drop now useless README.Debian.
  * Use a wildcard to install the examples.
  * Install man pages via dh_install.
  * Pass --sourcedir=debian/tmp to dh_install.
  * Build-dep on gnome-pkg-tools (>= 0.7) and include clean-la.mk.
  * Build-dep on libxv-dev for xv output; thanks Jack Bates; closes: #390931.
  * Add watch file.
  * New patch, 66_add-dummy-handler-and-sanity-checks, fixes SEGV when playing
    http://sam.zoy.org/zzuf/lol-mplayer.m2v; from MPlayer; thanks
    Lionel Debroux; closes: #407922.
  * Add Vcs-Svn and Vcs-Browser URLs.
  * New patch, 68_honor-cflags, don't reset CFLAGS in configure.in;
    closes: #403194.
  * Update patches 64_non-pic-on-i386-only and 68_honor-cflags to not patch
    configure and add a new patch, 70_autoconf, to update configure by running
    autoconf.
  * Unset DEB_OPT_FLAGS to leave it to upstream configure to select the opt
    level when noopt isn't in DEB_BUILD_OPTS; this allows -O3 to be selected
    instead of the cdbs default of -O2.

 -- Loic Minier <lool@dooz.org>  Sun, 16 Dec 2007 14:48:42 +0100

mpeg2dec (0.4.1-1) unstable; urgency=low

  * Build against the default gcc version, we're too far away of 2.95 for the
    optimizations specific to this compiler to make sense anyway.
  * New upstream bugfix release; no API or ABI changes.
    - Drop patch 08_cleaner-bootstrap, merged upstream.
    - Drop patch 16_no-inline-setjmp, merged upstream.
    - Drop patch 32_amd64-cpuid, merged upstream.
    - Drop patch 48_altivec-detection, merged upstream.
    - Drop patch 80_rebootstrap, not needed anymore.

 -- Loic Minier <lool@dooz.org>  Sat, 16 Dec 2006 13:24:05 +0100

mpeg2dec (0.4.0b-4) unstable; urgency=low

  * Add CDBS' simple-patchsys. [debian/patches, debian/rules]
  * Add CDBS' utils. [debian/rules]
  * Convert the diff introduced in 0.3.1-5 to use non-PIC on i386 only in an
    independent patch. [configure,
    debian/patches/64_non-pic-on-i386-only.patch, libmpeg2/configure.incl]
  * Bump up Standards-version to 3.6.2. [debian/control]
  * Set myself as Maintainer and add Sam Hocevar and David I. Lehn as
    Uploaders [debian/control]
  * Acknowledge my NMUs. (Closes: #328753)
  * Revert the libsdl1.2-dev build-deps bump back to >= 1.2.3 since it has
    transitionned.  [debian/control]
  * Add ${misc:Depends} to Depends. [debian/control]
  * Remove Replaces and Conflicts for packages removed prior to the sarge
    release. [debian/control]
  * Add patch by Sam Hocevar to fix the assembly code around cpuid for amd64.
    (Closes: #324348) [debian/patches/32_amd64-cpuid.diff]
  * Add patch by Sam Hocevar to remove inlining in arch_accel under sparc and
    ppc because the functions uses setjmp(); the ppc code isn't used because
    the detection of ppc fails. [debian/patches/16_no-inline-setjmp.diff]
  * Revert the gcc-3.3 build-dep for sparc as it should build with 3.4 again.
    [debian/control, debian/rules]
  * Misc copyright fixes by Sam Hocevar. (Closes: #331314) [debian/copyright]
    - Update authors list.
    - Include GPL snipset.
    - Full copyright listing.
  * New patches by Sam Hocevar to fix Altivec detection. (Closes: #302263)
    - Fixes the AltiVec detection on PPC.
      [debian/patches/48_altivec-detection.patch]
    - Clean bootstrap. [debian/patches/08_cleaner-bootstrap.patch]
    - Rebootstrap with these changes. [debian/patches/80_rebootstrap.patch]

 -- Loic Minier <lool@dooz.org>  Sun, 30 Oct 2005 15:36:04 +0100

mpeg2dec (0.4.0b-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * As proposed to the release team and to debian-sparc@, build the sparc
    version with gcc-3.3 for now, until a better fix is found; hence
    build-depend on gcc-3.3 under sparc and gcc-3.4 on non-sparc.

 -- Loic Minier <lool@dooz.org>  Sun, 18 Sep 2005 14:45:01 +0200

mpeg2dec (0.4.0b-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * As discussed with upstream, the source was developped with the 3.x series
    of gcc and optimized quite specifically for gcc 2.95 and 3.x, trying to
    build with gcc 4.0 will probably bring lower performances, and forbids
    usage of -O3; hence Build-depend on gcc-3.4 and build with gcc-3.4, should
    build on m68k and sparc again. (Closes: #323134)

 -- Loic Minier <lool@dooz.org>  Sat, 17 Sep 2005 11:17:36 +0200

mpeg2dec (0.4.0b-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high because of RC bugfixes.
  * Build-depend on a transitionned libsdl1.2.
    - Pull an updated slang dependency. (Closes: #321548)
    - Pull an updated aalib dependency. (Closes: #320880)
  * The default compiler is now gcc 4.0. (Closes: #300670)

 -- Loic Minier <lool@dooz.org>  Tue,  9 Aug 2005 22:44:46 +0200

mpeg2dec (0.4.0b-2) unstable; urgency=low

  * Fix PIC compile on amd64 (Closes: #249198)

 -- David I. Lehn <dlehn@debian.org>  Thu, 15 Jul 2004 00:34:19 -0400

mpeg2dec (0.4.0b-1) unstable; urgency=low

  * New upstream version (Closes: #227451)
  * API changes: move from libmpeg2-3[-dev] to libmpeg2-4[-dev]
  * debian/rules:
    * include doc/libmpeg2.txt in libmpeg2-4-dev
  * debian/libmpeg2-4-dev.examples:
    * include doc/sample*.c

 -- David I. Lehn <dlehn@debian.org>  Mon, 26 Jan 2004 14:37:36 -0500

mpeg2dec (0.3.1-6) unstable; urgency=low

  * include/alpha_asm.h: Patch from upstream CVS to fix alpha builds

 -- David I. Lehn <dlehn@debian.org>  Tue,  2 Sep 2003 21:11:21 -0400

mpeg2dec (0.3.1-5) unstable; urgency=low

  * libmpeg2/configure.incl: libtools -prefer-non-pic is broken on at least
    powerpc.  Patch to only attempt to use it on x86 archs from Andres Salomon
    <dilinger@voxel.net> (Closes: #192190, #206874)
  * run bootstrap
  * debian/control:
    * Standards-Version: 3.6.1, no changes
    * Bump cdbs dep to 0.4.5

 -- David I. Lehn <dlehn@debian.org>  Tue,  2 Sep 2003 01:29:12 -0400

mpeg2dec (0.3.1-4) unstable; urgency=low

  * debian/rules: convert to cdbs
  * debian/rocks: remove
  * debian/control: Standards-Version: 3.6.0
  * Maintainer address changed to @debian.org

 -- David I. Lehn <dlehn@debian.org>  Mon, 14 Jul 2003 14:50:26 -0400

mpeg2dec (0.3.1-3) unstable; urgency=low

  * CFLAGS patch from CVS, run bootstrap
  * debian/rocks: remove optimization flags, let configure figure it out

 -- David I. Lehn <dlehn@vt.edu>  Thu, 23 Jan 2003 03:21:08 -0500

mpeg2dec (0.3.1-2) unstable; urgency=low

  * Rebuild with gcc 3.2 (may see a performance increase depending on
    architecture, accelerations, and stream properties)
  * debian/rules: update Colin's Build System
  * debian/rocks: specify higher optimization flags

 -- David I. Lehn <dlehn@vt.edu>  Sat, 18 Jan 2003 17:45:43 -0500

mpeg2dec (0.3.1-1) unstable; urgency=low

  * New upstream version
  * libcpuaccel packages removed: functionality merged into libmpeg2
  * API changes: move from libmpeg2-2[-dev] to libmpeg2-3[-dev]

 -- David I. Lehn <dlehn@vt.edu>  Sun, 15 Dec 2002 17:16:14 -0500

mpeg2dec (0.3.0-2) unstable; urgency=low

  * It seems libtool -prefer-non-pic is broken and causing FTBFS bugs on hppa
    and ia64.  Trying a patch from mpeg2dec CVS that attempts to better detect
    this with a configure check.
  * sparc build fix from CVS: s/-Wa,-Av9/-Wa,-Av9b/
  * debian/rules: update Colin's Build System

 -- David I. Lehn <dlehn@vt.edu>  Fri, 13 Dec 2002 22:56:54 -0500

mpeg2dec (0.3.0-1) unstable; urgency=low

  * New upstream version
  * Remove hppa -prefer-non-pic hack in favor of upstream check
  * Many API changes: move from libmpeg2-1[-dev] to libmpeg2-2[-dev]
  * Convert to Colin's Build System
  * Update to Standards-Version: 3.5.8.0

 -- David I. Lehn <dlehn@vt.edu>  Mon,  2 Dec 2002 19:32:12 -0500

mpeg2dec (0.2.1-3) unstable; urgency=low

  * Standards-Version: 3.5.7
  * Avoid -prefer-non-pic on hppa (see libtool Bug#152884) (Closes: #160725)
  * Update autotools/config.{guess,sub}

 -- David I. Lehn <dlehn@vt.edu>  Tue,  8 Oct 2002 00:59:02 -0400

mpeg2dec (0.2.1-2) unstable; urgency=low

  * Patch from Robert Millan <zeratul2@wanadoo.es>:
    - license is GPL not LGPL
    - there are more authors than listed in copyright file
    - better to provide the mailing list for contact information
    - libc6-dev dependency is Linux-specific (and partly arch-specific)
    - better description of library
  * GNU config automated update: config.sub (20020222 to 20020621),
    config.guess (20020219 to 20020529)
  * rerun bootstrap
  * Closing ITP. (Closes: #157944)

 -- David I. Lehn <dlehn@vt.edu>  Fri, 23 Aug 2002 12:00:33 -0400

mpeg2dec (0.2.1-1) unstable; urgency=low

  * New upstream version
  * Rerun bootstrap to get man page installation
    It's probably not worth the diff size since previous .in's
    were from automake 1.4. sigh.
  * libmpeg2dec renamed to libcpuaccel upstream
  * Increased interface version: libmpeg2-1, libmpeg2-1-dev

 -- David I. Lehn <dlehn@vt.edu>  Fri, 22 Mar 2002 17:56:23 -0500

mpeg2dec (0.2.0-3) unstable; urgency=low

  * Use versioned -dev pacakge
  * Update rules to check for updated config.{guess,sub}
  * Depend on more recent libsdl
  * Build libvo static

 -- David I. Lehn <dlehn@vt.edu>  Mon, 19 Nov 2001 19:22:46 -0500

mpeg2dec (0.2.0-2) unstable; urgency=low

  * Fixed some trivial lintian warnings and errors
  * Moved location of dh_installdeb
  * Refer to new libmpeg2 home

 -- David I. Lehn <dlehn@vt.edu>  Wed, 29 Aug 2001 02:48:29 -0400

mpeg2dec (0.2.0-1) unstable; urgency=low

  * Initial packaging
  * Added a number of patches from CVS

 -- David I. Lehn <dlehn@vt.edu>  Mon,  2 Jul 2001 01:30:59 -0400
